#! /bin/sh

GIT=git

echo "Cloning and updating Phonon"
$GIT clone git://anongit.kde.org/phonon-vlc

cd phonon-vlc && git checkout 0.4 && cd ..

if [ ! -e vlc-1.1.11-win32.7z ]; then
    echo "Getting VLC"
    wget "http://sourceforge.net/projects/vlc/files/1.1.11/win32/vlc-1.1.11-win32.7z/download" -O vlc-1.1.11-win32.7z
    7z x vlc-1.1.11-win32.7z

    echo "Installing VLC SDK"
    cp -r vlc-1.1.11/sdk/* prefix
    cp vlc-1.1.11/*.dll prefix/bin
    cp -r vlc-1.1.11/plugins prefix/bin
fi

cd phonon-vlc
cmake . -DCMAKE_TOOLCHAIN_FILE=../toolchain-win32.cmake -DCMAKE_INSTALL_PREFIX=../prefix -DCMAKE_MODULE_PATH=../prefix/share/phonon-buildsystem/ -DPHONON_BUILDSYSTEM_DIR=../prefix/share/phonon-buildsystem -DPHONON_INCLUDE_DIR=../prefix/include -DPHONON_LIBRARY=../prefix/lib/libphonon.dll.a -DQT_INCLUDE_DIR=/usr/win32/include/qt4 -DQT_LIBRARY_DIR=/usr/win32/lib -DQT_QTCORE_INCLUDE_DIR=/usr/win32/include -DQT_QTCORE_LIBRARY=/usr/win32/lib/libQtCore4.a -DQT_QTGUI_INCLUDE_DIR=/usr/win32/include/qt4/QtGui -DQT_QTGUI_LIBRARY=/usr/win32/lib/libQtGui4.a -DQT_QT_INCLUDE_DIR=/usr/win32/include/qt4 -DCMAKE_PREFIX_PATH=../prefix -DPHONON_MKSPECS_DIR=../prefix/share

make

make install
